/* Feuille CSS Fils et poils */
/*Style de base */

body{
	  font-family: Calibri;
	  text-align: center; 
	  background-color: #ffffff;
	  margin: 0;

      display: flex;
      flex-direction: row;
}

main{
  flex: 1;
  height: 100vh;
  overflow: auto;
}

h1{
	font-size: 28px;
	font-family: Calibri;
	color: #D58B00;
	font-weight: bold;
	text-align: center;
}

.entete_acc{
	text-align: center;
	margin-left: 20px;
	margin-right: 30px;
   margin-top: 60px;
}

.entete{
	text-align: center;
	margin-left: 20px;
	margin-right: 20px;
}

h2{
	font-size: 24px;
	color: #C5481C;
	font-weight: bold;
	margin-top: -10px;
}
/*Menu ordi*/
/* BURGER */
.burger {
  position: fixed;
  top: 50px;
  left: 35px;
  z-index: 2;
  font-size: 30px;
  cursor: pointer;
  padding: 15px;
  text-align: left;
  margin-left: 25px;
}

.white {
  color: white;
}

.menu {
  width: 0px;
  height: 100vh;
  transform: translateX(-100%);
  background: #f5f0e6;
  transition: 0.5s;
  overflow: hidden;
}


.menu-inner {
  position: relative;
  width: 100%;
  height: 100%;
}

.menu.open {
  transform: translateX(0%);
  width: 300px;
}

/* PELOTE */
.pelote {
  position: absolute;
  top: 20px;
  left: 20px;
  width: 130px;
  z-index: 3;
}

/* FIL */
.fil {
  position: absolute;
  top: 60px;   /* ?? descend sous la pelote */
  left: -10px;  /* ?? centre du fil sous la pelote */
  z-index: 1;

  transform: scaleY(0);
  transform-origin: top;
  transition: transform 1s ease;
}

.menu.open .fil {
  transform: scaleY(1);
}

/* TEXTES */
.menu-items {
  position: absolute;
  top: 0;
  left: 100px;
}

.item {
  position: absolute;
  opacity: 0;
  transform: translateX(-20px);
  z-index: 2; /* ?? AJOUT IMPORTANT */
}

/* POSITIONS */
.item1 { top: 135px; }
.item2 { top: 215px; }
.item3 { top: 280px; }
.item4 { top: 352px; }
.item5 { top: 413px; }
.item6 { top: 503px; }
.item7 { top: 570px; }

/* IMAGE TEXTE */
.item img {
  transform: scale(0.65);
  transform-origin: left center;
  transition: transform 0.3s ease;
}

/* HOVER */
.item:hover img {
  transform: scale(0.65) translateX(5px); /* ?? garde le scale */
}

/* ANIMATION */
.menu.open .item {
  animation: appear 0.5s forwards;
}

/* Dï¿½LAIS (aprï¿½s le fil) */
.item1 { animation-delay: 1s; }
.item2 { animation-delay: 1.2s; }
.item3 { animation-delay: 1.4s; }
.item4 { animation-delay: 1.6s; }
.item5 { animation-delay: 1.8s; }
.item6 { animation-delay: 2s; }
.item7 { animation-delay: 2.2s; }

/* ANIMATION FLUIDE */
@keyframes appear {
  0% {
    opacity: 0;
    transform: translateX(-20px);
  }
  60% {
    opacity: 1;
    transform: translateX(5px);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

/*Menu MOBILE*/
@media screen and (max-width: 768px) {

  .menu {
    width: 100%;
    left: -100%;
  }

  .menu.open {
    left: 0;
  }

}

@media screen and (max-width: 768px) {

  .pelote {
    width: 100px; /* plus petite */
    left: 50%;
    transform: translateX(-50%); /* centrï¿½e */
  }

}

@media screen and (max-width: 768px) {

  .menu-items {
    left: 50%;
    transform: translateX(-50%);
  }

}

@media screen and (max-width: 768px) {

  .item img {
    transform: scale(0.8); /* un peu plus grand */
  }

}

@media screen and (max-width: 768px) {

  .item1 { top: 150px; }
  .item2 { top: 240px; }
  .item3 { top: 320px; }
  .item4 { top: 400px; }
  .item5 { top: 480px; }
  .item6 { top: 570px; }
  .item7 { top: 650px; }

}

p{
	color: #FF8C00;
	text-align: left;
	margin-left: 30px;
}

a{
	color: #CD4A1E;
}

a:hover{
	color: #8B0000;
}

.a1{
	color: #FF6124;
}

.div1{
	margin-top: 20px;
	margin-left: 20px;
	color: Black;
	font-size: 22px;
	font-weight: bold;
}

.qui{
	margin-top: 20px;
	margin-left: 20px;
	color: Black;
	font-size: 20px;
}

.tarifs{
	margin-left: 40px;
	color: #212121;
	font-size: 20px;
	text-align: left;
}

.contact{
	font-size: 26px;
	font-weight: bold;
	color: #ADFF2F;
	margin-top: -20px;
	margin-left: 375px;
}

.contact a{
	color: Lime;
}

.contact a:hover{
	color: #FEFF28;
}

textarea {
  width: 100%;
  max-width: 400px;
  padding: 8px;
  border-radius: 8px;
  border: 1px solid #ccc;
  font-family: inherit;
}

form {
  text-align: left;
  margin-left: 60px;
  margin-right: 30px;
}

button{
	font-size: 22px;
	font-weight: bold;
	color: #8B0000;
}

.success-box {
  background: #f5f0e6;
  border: 4px solid #d8cbb3;
  padding: 15px;
  border-radius: 12px;
  color: #5a4a3a;
  max-width: 400px;
  margin: 20px auto;
  text-align: center;
  font-size: 20px;
  font-weight: bold;

  opacity: 0;
  transform: translateY(15px);
  animation: fadeIn 0.5s ease forwards;

  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

.success-box:hover {
  transform: translateY(-2px) scale(1.02);
  box-shadow: 0 8px 18px rgba(0,0,0,0.15);
}

@keyframes fadeIn {
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.guide{
	margin-top: 20px;
	margin-left: 30px;
	color: Black;
	font-size: 20px;
	font-weight: bold;
}

.cgv{
	font-size: 18px;
	margin-left: 40px;
	color: #181818;
	text-align: left;
}

.videos {
  width: 100%;
  max-width: 800px;
  height: auto;
  display: block;
  margin: 20px auto;
  border-radius: 10px;
}

.menu_bas a{
	font-size: 24px;
	font-weight: bold;
	color: #9D0000;
}
.menu_bas a:hover{
	color: #DD3D00;
}

#a_active{
	color: #363636;
}

#a_active_haut{
	color: Gray;
}

.main-menu-index{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.img-rouet{

}

.img-menu{
  margin-top: -180px;
}

section.index-menu{
  display: flex;
  flex-direction: row;
  align-items: center;
  position: relative;
}

.child-menu{
  border: rgb(172 68 142 / 0) solid 2px;
  border-radius: 50px;
  cursor: pointer;
  z-index: 1;
}

.child-menu:hover{
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
  color: white;
}

.child-menu:nth-child(1){
  margin-top: -160px;
  margin-left: 160px;
  width: 120px;
  height: 40px;
  transform: rotate(20deg);
}

.child-menu:nth-child(2){
  margin-top: -90px;
  margin-left: -10px;
  width: 180px;
  height: 40px;
  transform: rotate(10deg);
}

.child-menu:nth-child(3){
  margin-top: -65px;
  width: 115px;
  height: 40px;
}

.child-menu:nth-child(4){
  margin-top: -85px;
  width: 180px;
  height: 50px;
  transform: rotate(-10deg);
}

.child-menu:nth-child(5){
  margin-top: -150px;
  margin-left: -10px;
  width: 140px;
  height: 50px;
  transform: rotate(-18deg);
}

.child-menu:nth-child(6){
  margin-top: -250px;
  margin-left: -10px;
  width: 90px;
  height: 50px;
  transform: rotate(-35deg);
}

/* conteneur */
.menu-deroulant {
  position: relative;
  display: inline-block;
}

/* sous-menu caché */
.sous-menu {
  display: none;
  position: absolute;
  background: #fff;
  padding: 10px;
  border-radius: 8px;
  top: 25px;
  left: 0;
  box-shadow: 0 4px 8px rgba(0,0,0,0.2);
  white-space: nowrap;
}

/* affichage au survol */
.menu-deroulant:hover .sous-menu {
  display: block;
  text-align: left;
}

/* liens */
.sous-menu a {
  display: block;
  color: #9D0000;
  text-decoration: none;
  padding: 5px 10px;
  font-size: 16px;
}

/* hover */
.sous-menu a:hover {
  background: #f5f0e6;
}

footer{
	height: 70px;
	font-weight: bold;
	font-size: 16px;
	text-align: center;
	margin-left: 20px;
	margin-right: 20px;
}

